Subject: Re: 28.0.50; Allow Gnus summary faces to extend to end of line

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 17 Mar 2021 00:15:42 +0100

Kévin Le Gouguec <[email-masked]> writes:

>> That is, I think adding :extend t to most Gnus summary faces just brings
>> us back to how it was designed to be displayed.
>
> Mmm, unless I'm missing something, before my patch, the face was not
> applied to the final newline, so even with :extend t the rest of the
> line was not highlighted.
>
> To double-check, I just fired up 26.3, removed %( and %) from
> gnus-summary-line-format, added a background to gnus-summary-selected,
> and opened a summary buffer: sure enough, the background stopped at the
> last character, without extending to the window edge.

I didn't mean `gnus-summary-selected' here, but other Gnus summary
faces, like `gnus-summary-normal-ticked'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no